Package org.sunflow.image

# Class BitmapReader.BitmapFormatException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.sunflow.image.BitmapReader.BitmapFormatException

All Implemented Interfaces:
  `Serializable`

Enclosing interface:
  `BitmapReader`

public static final class BitmapReader.BitmapFormatException extends Exception
This exception can be used internally by bitmap readers to signal they have encountered a valid file but which contains invalid content.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BitmapFormatException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BitmapFormatException

public BitmapFormatException(String message)